PUT /api/v202108/bill/billPaymentDetails Deprecated

For each record in the request body, update the bill payment details.

BillPaymentDetailsV202108 Permissions: BillsAndBatches (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

BillPaymentDetailsItemV202108
Property Description Type
accountingPeriod Accounting period in which payment was made Must be between 190001 and 209913 Required (defined) Must be between 190001 and 209913 integer (int32)
billId Identifier for bill to update Required Required integer (int32)
checkDate Date of payment Required Must be between 1899-12-31 and 3000-01-01 Required Must be between 1899-12-31 and 3000-01-01 string (date-time)
checkNumber Check number of payment Required Must be between 0 and 32 characters Required Must be between 0 and 32 characters string
clearedDate Date payment cleared Must be between 1899-12-31 and 3000-01-01 Required (defined) Must be between 1899-12-31 and 3000-01-01 string (date-time)
comment Optional description for payment (ignored by importer) Required (defined) string
payStatus Payment status indicator Required Must be between 0 and 32 characters Required Must be between 0 and 32 characters string
Example Request Body application/json
[
  {    "accountingPeriod": 1,    "billId": 1,    "checkDate": "2026-03-30",    "checkNumber": "string",    "clearedDate": "2026-03-30",    "comment": "string",    "payStatus": "string"
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillPaymentDetailsResponseV202108
Property Description Type
billPaymentDetailsItems List of unsuccessful bill payment detail updates with reasons for failure Required (defined) BillPaymentDetailsItemV202108[]
BillPaymentDetailsItemV202108 properties
Property Description Type
accountingPeriod Accounting period in which payment was made Must be between 190001 and 209913 Required (defined) Must be between 190001 and 209913 integer (int32)
billId Identifier for bill to update Required Required integer (int32)
checkDate Date of payment Required Must be between 1899-12-31 and 3000-01-01 Required Must be between 1899-12-31 and 3000-01-01 string (date-time)
checkNumber Check number of payment Required Must be between 0 and 32 characters Required Must be between 0 and 32 characters string
clearedDate Date payment cleared Must be between 1899-12-31 and 3000-01-01 Required (defined) Must be between 1899-12-31 and 3000-01-01 string (date-time)
comment Optional description for payment (ignored by importer) Required (defined) string
payStatus Payment status indicator Required Must be between 0 and 32 characters Required Must be between 0 and 32 characters string
failure Number of unsuccessful bill payment detail updates Required (defined) integer (int32)
success Number of successful bill payment detail updates Required (defined) integer (int32)
Example Response application/json
{  "billPaymentDetailsItems": [
    {    "accountingPeriod": 1,    "billId": 1,    "checkDate": "2026-03-30",    "checkNumber": "string",    "clearedDate": "2026-03-30",    "comment": "string",    "payStatus": "string"
  }
  ],  "failure": 1,  "success": 1
}